org.labkey.remoteapi.security

## Class ACL

- java.lang.Object
- - org.labkey.remoteapi.security.ACL

-     public class ACL
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PERM_ADMIN`
    `static int` | `PERM_ALLOWALL`
    `static int` | `PERM_DELETE`
    `static int` | `PERM_DELETEOWN`
    `static int` | `PERM_INSERT`
    `static int` | `PERM_NONE`
    `static int` | `PERM_READ`
    `static int` | `PERM_READOWN`
    `static int` | `PERM_UPDATE`
    `static int` | `PERM_UPDATEOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ACL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PERM_NONE

          public static final int PERM_NONE

      See Also:
        Constant Field Values

    - #### PERM_READ

          public static final int PERM_READ

      See Also:
        Constant Field Values

    - #### PERM_INSERT

          public static final int PERM_INSERT

      See Also:
        Constant Field Values

    - #### PERM_UPDATE

          public static final int PERM_UPDATE

      See Also:
        Constant Field Values

    - #### PERM_DELETE

          public static final int PERM_DELETE

      See Also:
        Constant Field Values

    - #### PERM_READOWN

          public static final int PERM_READOWN

      See Also:
        Constant Field Values

    - #### PERM_UPDATEOWN

          public static final int PERM_UPDATEOWN

      See Also:
        Constant Field Values

    - #### PERM_DELETEOWN

          public static final int PERM_DELETEOWN

      See Also:
        Constant Field Values

    - #### PERM_ADMIN

          public static final int PERM_ADMIN

      See Also:
        Constant Field Values

    - #### PERM_ALLOWALL

          public static final int PERM_ALLOWALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ACL

          public ACL()